package com.atmob.keyboard_android.component.root

import com.atmob.keyboard_android.component.base.IUIComponent

/**
 * 键盘根组件接口
 */
interface IKeyboardRootComponent : IUIComponent {
    /**
     * 切换到Vip页面
     */
    fun switchVipPage()

    /**
     * 切换到登录页
     */
    fun switchLoginPage()

    /**
     * 切换到设置页
     */
    fun switchSettingPage()

    /**
     * 切换到键盘选择页
     */
    fun switchKeyboardSelectPage()

    /**
     * 切换到键盘页
     */
    fun switchKeyBoardPage()
}